Class Index | File Index

## Classes

- _global_
- jQuery
- RichFaces
- RichFaces.ajaxContainer
- RichFaces.BaseComponent
- RichFaces.Event
- RichFaces.queue

# Namespace jQuery

jQuery
Defined in: jquery.position.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| jQuery

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | jQuery.addPositionType(type, option) Add or replace position type rules for auto positioning.
| setPosition(source, params) Place DOM element relative to another element or using position parameters.

Namespace Detail
jQuery
Method Detail
<static> jQuery.addPositionType(type, option)
Add or replace position type rules for auto positioning. Does not fully determinated with parameters yet, only draft version.

Parameters:
{string} type
  - name of position rules
{object} option
  - options of position rules

{jQuery} setPosition(source, params)
Place DOM element relative to another element or using position parameters. Elements with style.display='none' also supported.

    jQuery('#tooltip').setPosition('#myDiv',{from:'LB', to:'AA'});

Parameters:
{object} source
  - object that provides information about new position.

  accepts:

  - jQuery selector or object
  - object with id: `{id:'myDiv'}`
  - object with region settings: `{left:0, top:0, width:100, height:100}`
  - DOM Element
  - Event object
{object} params
  - position parameters:
{string} params.type Optional
  - position type that defines positioning and auto positioning rules ["TOOLTIP","DROPDOWN"]
{string} params.collision Optional
  - not implemented yet
{array} params.offset Optional
  - provides array(2) with x and y for manually position definition
  affects only if "type", "from" and "to" not defined
{string} params.from Optional
  - place target relative of source // draft definition
{string} params.to Optional
  - direction for target // draft definition

Returns:
  {jQuery} jQuery wrapped DOM elements

Documentation generated by JsDoc Toolkit 2.0.0 on Sat Feb 04 2012 21:45:43 GMT+0100 (CET)